## org.hibernate.envers.exception
Class NotAuditedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.hibernate.HibernateException
                      org.hibernate.envers.exception.AuditException
                          org.hibernate.envers.exception.NotAuditedException

All Implemented Interfaces:
  Serializable

    public class NotAuditedException

extends AuditException

See Also:
  Serialized Form

Constructor Summary
`NotAuditedException(String entityName, String message)`

Method Summary
`String` `getEntityName()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotAuditedException

    public NotAuditedException(String entityName,
                               String message)

Method Detail

### getEntityName

    public String getEntityName()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.